
Pre-Development - Bug #19960

FE - React - Issue on need to combine the i and a

01 March 2024 02:37 PM - Hazimi Muhammad

Status: Closed Start date: 01 March 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue

Go to BusinessConstitutionAction.tsx and at line 22 got

I={ABILITY_CONSTANTS.MODIFY_COUNTRY}

a={ABILITY_CONSTANTS.MODIFY_COUNTRY}

Expected:

Should only have I "I={ABILITY_CONSTANTS.MODIFY_COUNTRY}"

History

#1 - 01 March 2024 04:53 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

You can test by modifying the funcList in App.tsx, or the Can component parameter in *Action.tsx file

e.g. from

<Can I={ABILITY_CONSTANTS.MODIFY_COUNTRY}>

to

<Can I={"TEST"}>

Check if Button is hidden if "I" parameter is not inside funcList   

Change CASL Can component to use only 1 parameter

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/fac8851ff131a1219a5ae7b9e4551bef0f478944
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/fac8851ff131a1219a5ae7b9e4551bef0f478944


#2 - 05 March 2024 03:27 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been solve.

Already check for all page cc_iam,cc_am and common

#3 - 06 March 2024 10:09 AM - chok yee fan

- Status changed from Feedback to Closed

search the code, the <Can> only pass in 1 param
